List received relation requests

Lists the connection / relation requests received by the owner of a connected LinkedIn or Instagram account. Requires a connected LinkedIn or Instagram account.

POST
/v1/messaging/social-relations/search

Authorization

apiKeyAuth
x-api-key<token>

API key authentication. Create an API key in your user profile and include it in the x-api-key header.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://loading/api/v1/messaging/social-relations/search" \  -H "Content-Type: application/json" \  -d '{    "connectedAccountId": "ac03972a-5ca5-43c5-b96f-c519ac843b7a"  }'
{
  "data": [
    {
      "object": "RelationRequest",
      "type": "sent",
      "id": "string",
      "created_at": "string",
      "message": "string",
      "user": {
        "id": "string",
        "object": "User",
        "type": "individual",
        "public_identifier": "string",
        "display_name": "string",
        "first_name": "string",
        "last_name": "string",
        "profile_url": "string",
        "public_picture_url": "string",
        "private_picture_download_url": "string",
        "description": "string",
        "specifics": {
          "headline": "string",
          "occupation": "string",
          "industry": "string",
          "location": "string",
          "network_distance": "string",
          "phone_number": "string",
          "property1": null,
          "property2": null
        },
        "property1": null,
        "property2": null
      },
      "property1": null,
      "property2": null
    }
  ],
  "total_count": 0,
  "next_cursor": "string",
  "property1": null,
  "property2": null
}
"string"
"string"
"string"
"string"